scala

# Unit

#### object Unit extends AnyValCompanion

Source
  Unit.scala

Linear Supertypes
AnyValCompanion, Specializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Unit
2. AnyValCompanion
3. Specializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def box(x: Unit): BoxedUnit

   Transform a value type into a boxed reference type.

   Transform a value type into a boxed reference type.

   x

     the Unit to be boxed

   returns

     a scala.runtime.BoxedUnit offering `x` as its underlying value.

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    The String representation of the scala.Unit companion object.

    The String representation of the scala.Unit companion object.

    Definition Classes
      Unit → AnyRef → Any

18. #### def unbox(x: AnyRef): Unit

    Transform a boxed type into a value type.

    Transform a boxed type into a value type. Note that this method is not typesafe: it accepts any Object, but will throw an exception if the argument is not a scala.runtime.BoxedUnit.

    x

      the scala.runtime.BoxedUnit to be unboxed.

    returns

      the Unit value ()

    Exceptions thrown
      ClassCastException

      if the argument is not a scala.runtime.BoxedUnit

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyValCompanion

### Inherited from Specializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped